%define subrel 2

Name:           lxdm
Version:        0.5.0
Release:        %mkrel 3
Summary:        GUI login manager for LXDE
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            http://www.lxde.org
Source0:        http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.xz
Source1:        27%{name}.conf
Source2:        %{name}.service
Patch0:         %{name}-0.5.0-mga-customization.patch
Patch1:         %{name}-0.4.1-str-fmt.patch
# LXDM fails to work on minimal installation with default vt autodetection;
# Unlike kdm it selects vt7 but X then quits when the user tries to log in.
# Probably some conflict with systemd/plymouth but did not investigate this
# further as the workaround is acceptable. Mageia bug #3578. -Anssi 12/2011
#
# changed that to let it use vt1 after discussing with coling on irc
# -obgr_seneca 02/2012
Patch2:         %{name}-0.5.0-mga-use_vt1.patch
Patch4:         %{name}-0.4.1-source-etc-profile.patch
# (dams) fix pam.d to enable xguest account (mga #4950)
# (cg) and proper session registration (mga #9799)
Patch5:         %{name}-0.5.0-pam.patch
# https://sourceforge.net/p/lxde/bugs/690
Patch6:         %{name}-0.5.0-mga-display-user-list-when-password-check-failed.patch
Patch7:         %{name}-0.5.0-mga-resetX.patch
Patch8:         %{name}.git-e8f387089e241360bdc6955d3e479450722dcea3.patch
Patch9:         %{name}-0.5.0-mga-display-faces.patch

BuildRequires:  intltool
BuildRequires:  libxmu-devel
BuildRequires:  pam-devel
BuildRequires:  iso-codes
BuildRequires:  gtk+2-devel

Requires:       iso-codes
# for --generate in Source1:
Requires:       desktop-common-data >= 1:2-1
# for workaround mga#3714
# see https://bugs.mageia.org/show_bug.cgi?id=3714#c6
Requires:       mkxauth
Requires:       %{name}-theme-mageia

Provides:       dm = %{version}

%description
A lightweight dropped-in replacement for GDM or KDM.

%prep
%setup -q
%patch0 -p1 -b .mga
%patch1 -p0 -b .str
%patch2 -p1
%patch4 -p1 -b .profile-fix
%patch5 -p1 -b .pam
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

cat << EOF > tempfiles.%{name}.conf
d %{_localstatedir}/run/%{name} 0755 root root
EOF

rm -f data/%{name}.conf

%build
%configure2_5x
%make

%install
%makeinstall_std

# dm conf file
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/X11/dm.d/27%{name}.conf

# the above dm conf file causes sessions to be generated here:
mkdir -p %{buildroot}%{_datadir}/xsessions

install -Dpm 644 tempfiles.%{name}.conf %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf
install -Dpm 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service

%find_lang %{name}

%files -f %{name}.lang
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/Xsession
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/LoginReady
%config(noreplace) %{_sysconfdir}/%{name}/PostLogin
%config(noreplace) %{_sysconfdir}/%{name}/PostLogout
%config(noreplace) %{_sysconfdir}/%{name}/PreLogin
%config(noreplace) %{_sysconfdir}/%{name}/PreReboot
%config(noreplace) %{_sysconfdir}/%{name}/PreShutdown
%config(noreplace) %{_datadir}/X11/dm.d/27%{name}.conf
%{_sysconfdir}/pam.d/*
%{_libexecdir}/%{name}-greeter-gdk
%{_libexecdir}/%{name}-greeter-gtk
%{_libexecdir}/%{name}-numlock
%{_libexecdir}/%{name}-session
%{_sbindir}/%{name}*
%{_datadir}/%{name}
%dir %{_datadir}/xsessions
%{_bindir}/*
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%{_unitdir}/%{name}.service


%changelog
* Tue Jan 12 2016 ns80 <ns80> 0.5.0-3.2.mga5
+ Revision: 922089
- add patch to display faces from /usr/share/faces (mga#17477)
- Add patch git-e8f387089e241360bdc6955d3e479450722dcea3 to fix a security
  issue with LXDM starting X server (mga#16983)

* Wed Feb 11 2015 ns80 <ns80> 0.5.0-3.mga5
+ Revision: 814645
- Use Adwaita as default theme

* Thu Nov 27 2014 alexl <alexl> 0.5.0-2.mga5
+ Revision: 799581
- reset X server after log out (mga#14662)

* Wed Oct 22 2014 alexl <alexl> 0.5.0-1.mga5
+ Revision: 792517
- fix unversioned-explicit-provides dm (rpmlint)
- drop high-cpu.patch
- fix upstream bug #690 (display-user-list-when-password-check-failed.patch)
- version 0.5.0 (mga#14157)

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-17.mga5
+ Revision: 739696
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-16.mga5
+ Revision: 682071
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.4.1-15.mga4
+ Revision: 536942
- Mageia 4 Mass Rebuild

* Wed Apr 24 2013 colin <colin> 0.4.1-14.mga4
+ Revision: 411061
- Fix pam session registration (pam_namespace should be before system-auth include mga#9799)

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-13.mga3
+ Revision: 359154
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 blino <blino> 0.4.1-12.mga3
+ Revision: 314567
- add tmpfiles and systemd unit (from Fedora)
- do not build with consolekit

* Sun Apr 15 2012 obgr_seneca <obgr_seneca> 0.4.1-11.mga2
+ Revision: 230969
- fixed customization patch so it points to the correct wallpaper path

* Sun Apr 15 2012 obgr_seneca <obgr_seneca> 0.4.1-10.mga2
+ Revision: 230926
- Use Mageia theme

* Thu Mar 15 2012 dams <dams> 0.4.1-9.mga2
+ Revision: 223477
- add a patch for pam.d to enable tmpfs for xguest account (mga #4950)

* Wed Mar 07 2012 wally <wally> 0.4.1-8.mga2
+ Revision: 221103
- add patch to source /etc/profile and/or ~/.profile instead of xprofile
  ones when starting session to get more working $$PATH for desktop environment

* Wed Feb 29 2012 obgr_seneca <obgr_seneca> 0.4.1-7.mga2
+ Revision: 216038
- let lxdm use vt1 as gdm does

* Sat Feb 25 2012 wally <wally> 0.4.1-6.mga2
+ Revision: 214503
- add mkxauth to PostLogin script to create working Xauthority file (mga#3714)

  + fwang <fwang>
    - add upstream patch to try fixing cpu 100%% usage

* Sat Jan 14 2012 kamil <kamil> 0.4.1-4.mga2
+ Revision: 195858
- add to providing "dm" (mga#4121)
- clean spec

* Mon Dec 05 2011 anssi <anssi> 0.4.1-3.mga2
+ Revision: 177121
- use vt8 due to autodetection selecting vt7 which will fail due to some
  uninvestigated plymouth/systemd issue (bug #3578)

* Mon Dec 05 2011 anssi <anssi> 0.4.1-2.mga2
+ Revision: 176769
- fix missing desktops in login chooser (chksession is now used to
  generate sessions where lxdm wants them, fixes bug #1254)

  + fwang <fwang>
    - new version 0.4.1

  + dams <dams>
    - delete old patch (mdv)

* Tue Apr 19 2011 dams <dams> 0.2.0-2.mga1
+ Revision: 88671
- Fix patch to display Mageia background

* Sat Mar 19 2011 ennael <ennael> 0.2.0-1.mga1
+ Revision: 74454
- clean spec file
- imported package lxdm


* Fri Jul 23 2010 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 557183
- New version 0.2.0

* Wed Mar 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.0-4mdv2010.1
+ Revision: 517380
- add %%{_datadir}/X11/dm.d/27%%{name}.conf to make lxdm get listed in drakedm
- change mdv-customiztion patch to make lxdm use Ia Ora (Arctic for the moment)

* Fri Jan 15 2010 Funda Wang <fwang@mandriva.org> 0.1.0-3mdv2010.1
+ Revision: 491595
- bump rel
- use mandriva background
- update desc

* Tue Jan 12 2010 Funda Wang <fwang@mandriva.org> 0.1.0-2mdv2010.1
+ Revision: 490043
- requiresiso-codes
- import lxdm


